* {
  margin: 0;
  padding: 0;
}

/* Pretty Stuff */
.contact-form-container {
  background: #F4F3F3;
}

.contact-us {
display: none;

  position: relative;
  width: 250px;
  background: #373737;
  overflow: hidden;
}
.contact-us:before {
  position: absolute;
  content: "";
  bottom: -50px;
  left: -100px;
  height: 250px;
  width: 400px;
  background: #ffea68;
  transform: rotate(25deg);
}
.contact-us:after {
  position: absolute;
  content: "";
  bottom: -80px;
  right: -100px;
  height: 270px;
  width: 400px;
  background: #9eebcf;
  transform: rotate(-25deg);
}

.koerig-locations {
  position: relative;
  width: 250px;
  background: #373737;
  overflow: hidden;
  border-radius: 0px 20px 20px 0px;
}
.koerig-locations:before {
  position: absolute;
  content: "";
  bottom: -161px;
  right: -100px;
  height: 250px;
  width: 400px;
  background: #ffea68;
  transform: rotate(-10deg);
}

.contact-header {
  color: white;
  position: absolute;
  transform: rotate(-90deg);
  top: 120px;
  left: -40px;
}
.contact-header h1 {
  font-size: 1.5rem;
}

.location-text{
  position: absolute;
  bottom: 20px;
  left: 0px;
  z-index: 1;
  width: 100%;
  text-align: center;
}

.social-bar {
  position: absolute;
  bottom: 20px;
  left: 75px;
  z-index: 1;
  width: 100px;
}
.social-bar ul {
  list-style-type: none;
}
.social-bar ul li {
  display: inline-block;
  color: white;
  width: 25px;
  height: 25px;
  line-height: 25px;
  text-align: center;
  margin-right: -4px;
  font-size: 1.2rem;
}

.headercontact {
  text-align: center;
  padding-top: 3em;
  color: #444;
}
.headercontact h1 {
  font-weight: normal;
}
.headercontact h2 {
  margin-top: 10px;
  font-weight: 300;
}

.address, .email, .phone {
  text-align: center;
  padding: 20px 0;
  color: #444;
}
.address h3, .email h3, .phone h3 {
  font-size: 1rem;
  font-weight: 300;
}
.address i, .email i, .phone i {
  color: #373737;
  font-size: 1.7rem;
  margin-bottom: 20px;
  text-shadow: 2px 2px 4px #ABABAB;
}

form {
  position: relative;
  width: 540px;
  margin: 0 auto;
  padding: 20px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
  background: white;
}
form input, form textarea {
  background: white;
  display: block;
  margin: 20px auto;
  width: 100%;
  border: 0;
}
form input {
  height: 40px;
  line-height: 40px;
  outline: 0;
  border-bottom: 1px solid rgba(68, 68, 68, 0.3);
  font-size: 1rem;
  color: rgba(68, 68, 68, 0.8);
}
form textarea {
  border-bottom: 1px solid rgba(68, 68, 68, 0.3);
  resize: none;
  outline: none;
  font-size: 1rem;
  color: rgba(68, 68, 68, 0.8);
}
form button {
  position: absolute;
  display: block;
  height: 40px;
  width: 250px;
  left: 145px;
  border: 0;
outline: 0;
  border-radius: 20px;
  bottom: -20px;
  background: #9eebcf;
  color: #373737;
  font-size: 1.1rem;
  font-weight: 300;
 /* outline: none;*/
-webkit-box-shadow: 0px 0px 10px -11px rgba(0,0,0,0.75);
-moz-box-shadow: 0px 0px 10px -11px rgba(0,0,0,0.75);
box-shadow: 0px 5px 20px -11px rgba(0,0,0,0.75);
cursor: pointer;
}

.contact-form {
  padding-bottom: 40px;
}

/* Layout Stuff */
.contact-container {
  background: #9eebcf00;
  display: grid;
  justify-items: center;
  align-items: center;
  overflow: auto;
  margin: 30px;
}

.bg-image {
  /* The image used */
  background-image: url("https://www.koerig.at/contact/img/contact_bg.jpg");

  /* Add the blur effect */
  filter: grayscale(100%) blur(0px) contrast(40%);;
  -webkit-filter: grayscale(100%) blur(0px) contrast(40%);;

  /* Full height */
  height: 100vh;
  width: 100vw;

  /* Center and scale the image nicely */
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: fixed;
  top:0px;
  left:0px;
  z-index: -100;
}

.letterspacing{
  letter-spacing: 5px;
}

.contact-form-container {
  width: 900px;
  border-radius: 20px;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-template-rows: 0.5fr 0.5fr 2fr;
  grid-template-areas: "headercontact headercontact headercontact koerig-locations" "address phone1 email koerig-locations" "contact-form contact-form contact-form koerig-locations";
  -webkit-box-shadow: 7px 10px 41px -15px rgba(0,0,0,0.75);
-moz-box-shadow: 7px 10px 41px -15px rgba(0,0,0,0.75);
box-shadow: 7px 10px 41px -15px rgba(0,0,0,0.75);
}

.contact-us {
  grid-area: contact-us;
}

.headercontact {
  grid-area: headercontact;
}

.address {
  grid-area: address;
}

.phone1 {
  grid-area: phone1;
}
.phone2 {
  grid-area: phone2;
}

.email {
  grid-area: email;
}

.koerig-locations {
  grid-area: koerig-locations;
}

.contact-form {
  grid-area: contact-form;
}

#arrowup{
  max-width: 30px;
  height: auto;
  position: relative;
  left: 70px;
  bottom: 10px;
  transform: rotate(-30deg);
}
#arrowupdiv{
  width: 100%;
}

.nonedecoration{
  text-decoration: none;
  color: inherit;
}



/* Mobile Styles */
@media only screen and (max-width: 900px) {
.contact-form-container {
  width: 100%;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 0.5fr 0.5fr 2fr;
  grid-template-areas: "headercontact headercontact headercontact" "address phone1 email" "contact-form contact-form contact-form";
}
.koerig-locations {
  display: none;
}
.koerig-locations:before {
  display: none;
}

form {
  width: 80%;
}
form button{
  left: 20%;
  width: 60%;
}
}